#1873 closed defect (fixed)

Not enough workspace reserved with RTEMS Debug enabled.

Reported by: Gedare Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: chrisj@…, sebastian.huber@… Blocked By:
Blocking:

Description

Hi,

When I switch off posix via configure with --disable-posix, pc386 fails during boot for me for hello world (and anything else). Can anyone replicate this? I'm using CVS head, FC14 RPMs, and testing with Qemu. I did not observe this behavior under sis or psim.

The affected file appears to be cpukit/rtems/src/taskinitusers.c according to a backtrace:
(gdb) bt
#0 0x0010c596 in _Internal_error_Occurred (

the_source=INTERNAL_ERROR_RTEMS_API, is_internal=1, the_error=13)
at ../../../../../../../rtems-diff/c/src/../../cpukit/score/src/interr.c:60

#1 0x0010b4cc in _RTEMS_tasks_Initialize_user_tasks_body ()

at ../../../../../../../rtems-diff/c/src/../../cpukit/rtems/src/taskinitusers.c:89

#2 0x0010b96b in _API_extensions_Run_postdriver ()

at ../../../../../../../rtems-diff/c/src/../../cpukit/score/src/apiext.c:85

#3 0x001002a1 in boot_card (cmdline=0x0)

at ../../../../../../../../../rtems-diff/c/src/lib/libbsp/i386/pc386/../../shared/bootcard.c:257

#4 0x001000a5 in zero_bss ()

at ../../../../../../../../../rtems-diff/c/src/lib/libbsp/i386/pc386/start/start.S:233

#5 0x00128490 in _boot_multiboot_memory ()
#6 0x00000000 in ?? ()

Change History (7)

comment:1 Changed on Aug 3, 2011 at 2:36:50 PM by Joel Sherrill

Cc: Sebastian Huber added

comment:2 Changed on Aug 3, 2011 at 3:18:44 PM by Joel Sherrill

Summary: pc386 not booting with --disable-posixNot enough workspace reserved with RTEMS Debug enabled.

comment:3 Changed on Aug 3, 2011 at 3:19:45 PM by Joel Sherrill

Cc: Chris Johns added

comment:4 Changed on Aug 21, 2011 at 6:51:44 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:5 Changed on Aug 23, 2011 at 8:04:58 AM by Sebastian Huber

Resolution: fixed
Status: closedreopened

comment:6 Changed on Dec 13, 2011 at 1:32:21 PM by Sebastian Huber

Resolution: fixed
Status: reopenedclosed

I added test case psxconfig01 to ensure that the workspace size estimate is reasonable correct. Here is the output for SPARC, MIPS, and ARM (debug enabled):

* POSIX TEST CONFIG 01 *
used blocks = 57, largest used block = 10704, used space = 82224
free blocks = 1, largest free block = 113888, free space = 113888
object creation done
used blocks = 269, largest used block = 10704, used space = 195840
free blocks = 1, largest free block = 272, free space = 272
* END OF POSIX TEST CONFIG 01 *

* POSIX TEST CONFIG 01 *
used blocks = 56, largest used block = 10704, used space = 84120
free blocks = 1, largest free block = 180200, free space = 180200
object creation done
used blocks = 268, largest used block = 16432, used space = 263064
free blocks = 1, largest free block = 1256, free space = 1256
* END OF POSIX TEST CONFIG 01 *

* POSIX TEST CONFIG 01 *
used blocks = 55, largest used block = 10528, used space = 73776
free blocks = 1, largest free block = 111352, free space = 111352
object creation done
used blocks = 254, largest used block = 10528, used space = 184896
free blocks = 1, largest free block = 232, free space = 232
* END OF POSIX TEST CONFIG 01 *

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.